# Configuring Collector for VMs

Perform the following steps to configure Collector for VMs:

{% stepper %}
{% step %}
Configure Collector with your customer-specific data and settings using the [Windows Installer](#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy)
{% endstep %}

{% step %}
See and, if necessary, add the [#vm-specific-optional-mst-parameters](#vm-specific-optional-mst-parameters "mention") to the MST file
{% endstep %}

{% step %}
Proceed by [reading the VM-specific considerations](#considerations)
{% endstep %}

{% step %}
Install [Collector on VMs](#installing-collector-on-vms)
{% endstep %}

{% step %}
Verify the [installation and VDI metrics](#verifying-the-installation-and-vdi-metrics)
{% endstep %}
{% endstepper %}

### VM-specific optional parameters

#### Windows installer (MST)

<table><thead><tr><th width="290.66668701171875">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>VDI_PLATFORM_TYPE</code></td><td><p>Force the detection of Citrix or Azure Virtual Desktop (AVD) / Cloud PC (CPC) if there are multiple agents in a given VM.</p><p>Values:</p><ul><li><code>Auto</code>: Auto detection using agent registry keys when available</li><li><code>AVD</code>: Forces AVD detection; prevents Windows365 detection</li><li><code>AWS</code>: Forces AWS detection</li><li><code>Citrix</code>: Forces Citrix detection</li><li><code>Horizon</code>: Forces Horizon detection</li><li><code>Windows365</code>: Forces Windows 365 / CloudPC detection</li><li><strong>Missing or unknown value</strong>: Auto detection using agent registry keys when available</li></ul></td></tr><tr><td><code>VDI_CLIENT_PLUGIN_PING_ADDRESS</code></td><td>Set the host to ping from the client to calculate ISP and WAN latency. This information is pushed from the VM to the client.<br>Populated <a href="https://docs.nexthink.com/platform/user-guide/nexthink-query-language-nql/nql-data-model#session_vdi_session">NQL data model</a> field: <code>client.network.wan_latency</code></td></tr></tbody></table>

#### Windows registry

<table><thead><tr><th width="185.25">Key name</th><th>Description</th></tr></thead><tbody><tr><td><code>Platform</code></td><td><p>Controls the VDI platform type that the Collector detects or forces to use.</p><p>Location: <code>HKEY_LOCAL_MACHINE\SOFTWARE\Nexthink\Collector\VDI</code></p><p>Possible values:</p><ul><li><code>Auto</code>: Auto detection using agent registry keys when available</li><li><code>AVD</code>: Forces AVD detection; prevents Windows365 detection</li><li><code>AWS</code>: Forces AWS detection</li><li><code>Citrix</code>: Forces Citrix detection</li><li><code>Disabled</code>: Detection disabled</li><li><code>Horizon</code>: Forces Horizon detection</li><li><code>Windows365</code>: Forces Windows 365 / CloudPC detection</li></ul><p>If not set, the default value is Disabled.</p><ul><li><strong>Missing or unknown value</strong>: Auto detection using agent registry keys when available.</li></ul></td></tr><tr><td><code>ClientPingAddress</code></td><td><p>Selects which IP address will be used by the connected plugin to calculate ISP and WAN latency.</p><p>Location: <code>HKEY_LOCAL_MACHINE\SOFTWARE\Nexthink\Collector\Sessions</code></p><p>Any string is a valid value. Examples:</p><ul><li><strong>IPv4</strong>: <code>x.y.z.a</code></li><li><strong>IPv6</strong>: <code>::1</code></li><li><strong>Domain</strong>: <code>domain.com</code></li></ul></td></tr></tbody></table>

### Considerations

#### Connectors

Install the appropriate virtualization connector for your environment to complement the data that comes from VMs and VDI clients. See the following documentation for installation instructions:

* [AWS AppStream connector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-aws-appstream.md)
* [AWS WorkSpaces connector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-aws-workspaces.md)
* [Citrix Virtual Apps and Desktops connector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-citrix-virtual-apps-and-desktops.md)
* [Citrix DaaS connector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-citrix-daas.md)
* [Microsoft Azure Virtual Desktop connector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-microsoft-azure-virtual-desktop.md)
* [Omnissa Horizon connector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-omnissa-horizon.md)

{% hint style="info" %}
Collector automatically detects your VDI vendor. However, you can optionally override this setting.
{% endhint %}

#### Preventing automatic updates for non-persistent and pooled VDIs

Non-persistent or pooled virtual desktops are typically created from golden images and reset after each session. To prevent non-persistent VDI devices from constantly switching between different Collector versions, navigate to **Administration > Collector management > Update configuration**, and select the **Do not update shared and pooled VDI devices** option.

Refer to the [Collector management](/platform/user-guide/administration/system-configuration/collector-management.md#excluding-non-persistent-vdi-devices) documentation for more information on Collector management.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/configuring-collector-on-vm-tp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
